## sssd 1.11.7.3-3~bpo70+1

=== debian/changelog ===
sssd (1.11.7.3-3~bpo70+1) wheezy-backports; urgency=medium

  * Backport to wheezy.
    - make-samba-optional.diff: Added a patch to enable building
      without samba4.
    - control, sssd-common.install: disable sssd-ad*, sssd-ipa
    - rules: configure without samba.
    - control: relax libkrb5-dev build-dep, disable tests
    - control, rules, sssd-common.install: disable systemd

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 22 Jul 2015 08:10:24 +0300

sssd (1.11.7-3) unstable; urgency=medium

  * libsss-sudo.postrm: Delete sudoers line from nsswitch.conf, if only
    files source left. (Closes: #749722)
  * libsss-sudo.postinst: Fix comments.
  * libsss-sudo.postinst: Check nsswitch sudoers entry unconditionally,
    so that it is added on upgrade too if missing.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 16 Jan 2015 13:53:22 +0200

sssd (1.11.7-2) unstable; urgency=medium

  * default, upstart.in: Upstream ticket #2312 is fixed now, so drop the
    workaround to run the daemon in the foreground. (Closes: #760353)
  * fix-automake-compat.diff: Added an upstream commit to fix configure
    with new automake.
  * fix-catchchild.diff: Fix build failure with samba 4.1.13, bump
    samba-dev build-dependency to match.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 30 Oct 2014 14:49:05 +0200

sssd (1.11.7-1) unstable; urgency=medium

  * New upstream release.
  * sssd-common.install, sssd-dbus.install: Add new sss_signal helper
    and the dbus service using it.
  * fix-obsolete-target.diff: Drop syslog.target from the service file.
  * libnss-sss.post*: Add sss entry to shadow and services on
    nsswitch.conf. (Closes: #761173)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 24 Sep 2014 07:08:04 +0300

sssd (1.11.6-1) unstable; urgency=medium

  * New upstream release.
  * control: Update my email.
  * control: Update vcs urls.
  * libnss-sss.postrm: Check DPKG_MAINTSCRIPT_PACKAGE_REFCOUNT before
    removing sss entry from nsswitch.conf. (Closes: #748671)
  * libpam-sss.prerm: Check DPKG_MAINTSCRIPT_PACKAGE_REFCOUNT before
    running pam-auth-update --remove.
  * control: Mark libkeyutils-dev, libselinux-dev, libsemanage-dev,
    libnl*-dev build-deps as linux-any, as a preliminary step to build
    on kfreebsd-*.
  * Run wrap-and-sort.
  * sssd-dbus: Add a new subpackage for the D-Bus responder.
  * control: Demote libsasl2-modules-ldap to Suggests for sssd-ldap.
  * generate-config: Bring it back for convenience, but don't run it on
    postinst.
  * sssd-common.postinst: Remove obsolete config upgrade.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 19 Aug 2014 09:15:13 +0300

sssd (1.11.5.1-2) unstable; urgency=medium

  * control: Drop libcmocka-dev and check from build-depends again so
    that the package will build on every arch. Test failures will be
    fixed in a future upload.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 14 Aug 2014 02:22:57 +0300

sssd (1.11.5.1-1) unstable; urgency=medium

  [ Stéphane Graber ]
  * Fix upstart job to provide a proper stdin for sssd.
  * Update defaults to always pass -i.

  [ Timo Aaltonen ]
  * New upstream release. (Closes: #745664)
  * control: Bump libkrb5-dev build-dependency to 1.12 due to the OTP
    features.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 09 May 2014 14:50:12 +0300

sssd (1.11.5-1) unstable; urgency=medium

  * New upstream bugfix release. (Closes: #729982)
  * upstart: Run the daemon in foreground and drop expect fork from the
    job, should fix issues with upstart getting confused when a backend
    fails to start.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 08 Apr 2014 23:39:20 +0300

sssd (1.11.4-1) unstable; urgency=low

  * New upstream release.
  * control, rules: Add libcmocka-dev and re-add check to build-depends.
    Override dh_auto_test so that it shows the test error log if they fail.
  * rules: Fix the manpage date handling with a bigger hammer, and
    enable it for all manpages not just pam_sss.8. (Closes: #734083)
  * Drop an obsolete lintian override from libsss-sudo.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 21 Mar 2014 13:28:38 +0200

sssd (1.11.3-1) unstable; urgency=low

  * New upstream release.
  * control: Update policy to 3.9.5, no changes.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 03 Jan 2014 00:01:29 +0200

sssd (1.11.2-1) unstable; urgency=low

  * New upstream release.
  * rules, sssd-common.install: Use the correct path for the systemd
    service file.
  * control: Build depend on libpam0g-dev | libpam-dev.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 19 Nov 2013 15:22:27 +0200

sssd (1.11.1-1) unstable; urgency=low

  * New upstream release.
  * sssd-common.postinst, generate-config: Don't create a config on install,
    drop generate-config. (Closes: #717587)
  * sssd-common.postrm: Remove /etc/apparmor.d too, if empty.
  * control, rules, sssd-common.install: Install the systemd service
    file provided by upstream.
  * control: Drop M-A: foreign from sssd-* and add back to sssd instead.
  * control: Don't hardcode 'multiarch-support'.
  * control: Drop unnecessary multiarch declarations.
  * control: Drop obsolete Breaks/Conflicts.
  * rules: Enable parallel build.
  * control: Add libltdl-dev to build-depends.
  * control: Prepare for new unified samba package, adjust build-
    dependencies. Thanks, Ivo De Decker! (Closes: #725992)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 06 Aug 2013 17:04:28 +0300

sssd (1.10.0-1) unstable; urgency=low

  [ Timo Aaltonen ]
  * New upstream release (Closes: #693054, #705357, #711101)
  * Update the packaging for the new version, thanks Esko Järnfors!
    - Add libsss-idmap0, libsss-idmap-dev packages
    - Add sssd Depends on libsss-idmap0
    - Add /var/lib/sss/mc directory for the new mmap cache
  * Split authentication providers to separate packages and make sssd
    a metapackage.
  * control: Drop libunistring-dev from build-depends and add libglib2.0-dev
    for unicode support.

