=== debian/control ===
Source: sssd
Section: utils
Priority: extra
Maintainer: Debian SSSD Team <pkg-sssd-devel@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends:
 autopoint,
# check,
 debhelper (>= 9),
 dh-apparmor,
 dh-autoreconf,
 dnsutils,
 docbook-xml,
 docbook-xsl,
 dpkg-dev (>= 1.16.1~),
 krb5-config,
 libc-ares-dev,
# libcmocka-dev [amd64 armhf i386],
 libcollection-dev,
 libdbus-1-dev,
 libdhash-dev,
 libglib2.0-dev,
 libini-config-dev,
 libkeyutils-dev [linux-any],
 libkrb5-dev,
 libldap2-dev,
 libldb-dev,
 libltdl-dev,
 libnl-3-dev [linux-any],
 libnl-route-3-dev [linux-any],
 libnspr4-dev,
 libnss3-dev,
 libpam0g-dev | libpam-dev,
 libpcre3-dev,
 libpopt-dev,
 libsasl2-dev,
 libselinux1-dev [linux-any],
 libsemanage1-dev [linux-any],
 libtalloc-dev,
 libtdb-dev,
 libtevent-dev,
 libxml2-utils,
 lsb-release,
 python-dev (>= 2.6.6-3~),
 quilt,
 xml-core,
 xsltproc
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-sssd/sssd.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-sssd/sssd.git
Homepage: https://fedorahosted.org/sssd/

Package: sssd
Section: metapackages
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends:
 python-sss (= ${binary:Version}),
 sssd-common (= ${binary:Version}),
 sssd-krb5 (= ${binary:Version}),
 sssd-ldap (= ${binary:Version}),
 sssd-proxy (= ${binary:Version}),
 ${misc:Depends}
Description: System Security Services Daemon -- metapackage
 Provides a set of daemons to manage access to remote directories and
 authentication mechanisms. It provides an NSS and PAM interface toward
 the system and a pluggable backend system to connect to multiple different
 account sources. It is also the basis to provide client auditing and policy
 services for projects like FreeIPA.
 .
 This package is a metapackage which installs the daemon and existing
 authentication back ends.

Package: sssd-common
Architecture: any
Depends: python, python-sss, ${misc:Depends}, ${shlibs:Depends}
Recommends: bind9-host, libnss-sss, libpam-sss, libsss-sudo
Suggests: apparmor, sssd-tools
Breaks: sssd (<< 1.10.0~beta2-1)
Replaces: sssd (<< 1.10.0~beta2-1)
Description: System Security Services Daemon -- common files
 Provides a set of daemons to manage access to remote directories and
 authentication mechanisms. It provides an NSS and PAM interface toward
 the system and a pluggable backend system to connect to multiple different
 account sources. It is also the basis to provide client auditing and policy
 services for projects like FreeIPA.
 .
 This package provides the daemon and other common files needed by the
 authentication back ends.

Package: sssd-dbus
Architecture: any
Depends: sssd-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: System Security Services Daemon -- D-Bus responder
 Provides the D-Bus responder called InfoPipe, that allows the information
 from the SSSD to be transmitted over the system bus.

Package: sssd-krb5
Architecture: any
Depends:
 sssd-common (= ${binary:Version}),
 sssd-krb5-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: sssd (<< 1.10.0~beta2-1)
Replaces: sssd (<< 1.10.0~beta2-1)
Description: System Security Services Daemon -- Kerberos back end
 Provides the Kerberos back end that the SSSD can utilize authenticate
 against a Kerberos server.

Package: sssd-krb5-common
Architecture: any
Depends: sssd-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Recommends: libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
Breaks: sssd (<< 1.10.0~beta2-1)
Replaces: sssd (<< 1.10.0~beta2-1)
Description: System Security Services Daemon -- Kerberos helpers
 Provides helper processes that the LDAP and Kerberos back ends can use for
 Kerberos user or host authentication.

Package: sssd-ldap
Architecture: any
Depends:
 libsss-idmap0 (= ${binary:Version}),
 sssd-common (= ${binary:Version}),
 sssd-krb5-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: ldap-utils
Suggests: libsasl2-modules-ldap
Breaks: sssd (<< 1.10.0~beta2-1)
Replaces: sssd (<< 1.10.0~beta2-1)
Description: System Security Services Daemon -- LDAP back end
 Provides the LDAP back end that the SSSD can utilize to fetch identity data
 from and authenticate against an LDAP server.

Package: sssd-proxy
Architecture: any
Depends: sssd-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: sssd (<< 1.10.0~beta2-1)
Replaces: sssd (<< 1.10.0~beta2-1)
Description: System Security Services Daemon -- proxy back end
 Provides the proxy back end which can be used to wrap an existing NSS and/or
 PAM modules to leverage SSSD caching.

Package: sssd-tools
Architecture: any
Depends:
 python,
 sssd-common (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: System Security Services Daemon -- tools
 Provides a set of daemons to manage access to remote directories and
 authentication mechanisms. It provides an NSS and PAM interface toward
 the system and a pluggable backend system to connect to multiple different
 account sources. It is also the basis to provide client auditing and policy
 services for projects like FreeIPA.
 .
 This package provides tools to manage users, groups and nested groups when
 using the local id provider.

Package: libnss-sss
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: sssd
Multi-Arch: same
Description: Nss library for the System Security Services Daemon
 Provides a set of daemons to manage access to remote directories and
 authentication mechanisms. It provides an NSS and PAM interface toward
 the system and a pluggable backend system to connect to multiple different
 account sources. It is also the basis to provide client auditing and policy
 services for projects like FreeIPA.
 .
 This package provide the nss library to connect to the sssd daemon.

Package: libpam-sss
Architecture: any
Depends:
 libpam-pwquality (>= 1.2.2-1),
 libpam-runtime (>= 1.0.1-6),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: sssd
Multi-Arch: same
Description: Pam module for the System Security Services Daemon
 Provides a set of daemons to manage access to remote directories and
 authentication mechanisms. It provides an NSS and PAM interface toward
 the system and a pluggable backend system to connect to multiple different
 account sources. It is also the basis to provide client auditing and policy
 services for projects like FreeIPA.
 .
 This package provide the pam module to connect to the sssd daemon.

Package: libipa-hbac0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: FreeIPA HBAC Evaluator library
 Utility library to validate FreeIPA HBAC rules for authorization requests.

Package: libipa-hbac-dev
Section: libdevel
Architecture: any
Depends: libipa-hbac0 (= ${binary:Version}), ${misc:Depends}
Description: FreeIPA HBAC Evaluator library
 Utility library to validate FreeIPA HBAC rules for authorization requests.
 .
 This package contains header files and symlinks to develop programs which will
 use the libipa-hbac library.

Package: libsss-idmap0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ID mapping library for SSSD
 Utility library to convert SIDs to Unix uids and gids.

Package: libsss-idmap-dev
Section: libdevel
Architecture: any
Depends: libsss-idmap0 (= ${binary:Version}), ${misc:Depends}
Description: ID mapping library for SSSD -- development files
 Utility library to convert SIDs to Unix uids and gids.
 .
 This package contains header files and symlinks to develop programs which will
 use the libsss-idmap library.

Package: libsss-nss-idmap0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: SID based lookups library for SSSD
 Utility library for SID based lookups.

Package: libsss-nss-idmap-dev
Section: libdevel
Architecture: any
Depends: libsss-nss-idmap0 (= ${binary:Version}), ${misc:Depends}
Description: SID based lookups library for SSSD -- development files
 Utility library for SID based lookups.
 .
 This package contains header files and symlinks to develop programs which will
 use the libsss-nss-idmap library.

Package: libsss-sudo
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libsss-sudo-dev (<= 1.9.3)
Description: Communicator library for sudo
 Utility library to allow communication between sudo and SSSD for caching
 sudo rules by SSSD.

Package: python-libipa-hbac
Section: python
Architecture: any
Depends:
 libipa-hbac0 (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Python bindings for the FreeIPA HBAC Evaluator library
 The libipa_hbac-python contains the bindings so that libipa_hbac can be
 used by Python applications.

Package: python-libsss-nss-idmap
Section: python
Architecture: any
Depends:
 libsss-nss-idmap0 (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Python bindings for the SID lookups library
 This package contains the bindings for libnss_sss_idmap to be used by
 Python applications.

Package: python-sss
Section: python
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}
Recommends: sssd
Description: Python module for the System Security Services Daemon
 Provides a set of daemons to manage access to remote directories and
 authentication mechanisms. It provides an NSS and PAM interface toward
 the system and a pluggable backend system to connect to multiple different
 account sources. It is also the basis to provide client auditing and policy
 services for projects like FreeIPA.
 .
 This package provide a module to access the configuration of the sssd daemon.
