## sssd 2.3.1

=== debian/changelog ===
sssd (2.3.1-3) unstable; urgency=medium

  * control: Move libsss-sudo to sssd-common Suggests. (LP: #1249777)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 06 Oct 2020 15:56:19 +0300

sssd (2.3.1-2) unstable; urgency=medium

  * control: Add sssd-dbus to sssd-tools Recommends. (LP: #1895645)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Sep 2020 14:15:03 +0300

sssd (2.3.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #965307, #965143)
  * source: Extend diff-ignore.
  * rules: Set --with-libwbclient.
  * control: Add libsofthsm2 to build-depends for tests.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 28 Jul 2020 17:14:55 +0300

sssd (2.3.0-2) unstable; urgency=medium

  * rules: Drop quilt, autoreconf from dh.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 13 Jul 2020 15:49:20 +0300

sssd (2.3.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #964701, #964240)
  * source: Migrate to 3.0 (quilt).
  * source/local-options: Add files not found on upstream tarball to
    extend-diff-ignore.
  * rules: Use journald for logging. (Closes: #960673)
  * rules: Use /run for pid-path.
  * sssd-common.sssd.default: Add DEBUG_LOGGER but commented out.
  * watch: Update url to github.
  * Add signing-key from Pavel Březina.
  * fix-946847.diff, fix-python3.8-ftbfs.diff: Dropped, upstream.
  * control: Use debhelper-compat.
  * control, rules: Build with openssl.
  * rules: Disable tests until a failing pam upn test is sorted out.
  * control: Drop quilt from build-depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 13 Jul 2020 11:35:33 +0300

sssd (2.2.3-3) unstable; urgency=medium

  * libnss-sss: Fix a typo in adding the NSS entry for automount.
    (LP: #1873752)
  * control, watch: Update upstream url to github.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 20 Apr 2020 17:52:18 +0300

sssd (2.2.3-2) unstable; urgency=medium

  * libnss-sss: Add an entry for automounter to nsswitch.conf. This is
    needed by ipa-client-automount.
  * Added gitlab-ci.yml.
  * fix-python3.8-ftbfs.diff: Fix build against python3.8.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 06 Mar 2020 21:58:28 +0200

sssd (2.2.3-1.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer permission.
  * Fix sssd_be busy-looping when LDAP connection flickers.
    (Closes: #946847)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 21 Feb 2020 14:04:25 +0100

sssd (2.2.3-1) unstable; urgency=medium

  * New upstream release.
  * default-to-socket-activated-services.diff: Refreshed.
  * sssd-ldap.install: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 20 Feb 2020 13:06:35 +0200

sssd (2.2.2-1) unstable; urgency=medium

  * New upstream release.
  * default-to-socket-activated-services.diff: Don't enable any
    services when run without a conffile.
  * fix-have-systemd.diff: Dropped, upstream.
  * default-to-socket-activated-services.diff: Refreshed.
  * signing-key: Add key from Michal Židek.
  * Get rid of all old pre/postinst file removal fluff, since that's all
    obsolete by now.
  * Drop python2 support. (Closes: #938566)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 18 Sep 2019 15:27:44 +0300

sssd (2.2.0-4) unstable; urgency=medium

  [ Sam Morris ]
  * fix-have-systemd.patch: correct detection of systemd.pc
    (Closes: #932080)
  * default-to-socket-activated-services.diff: rely on socket activation
    to spawn nss and pam responders

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 19 Jul 2019 18:15:41 +0300

sssd (2.2.0-3) unstable; urgency=medium

  * common/ipa/krb5-common/proxy.postinst: Use libexec path. (Closes:
    #931859)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 12 Jul 2019 10:01:06 +0300

sssd (2.2.0-2) unstable; urgency=medium

  * rules: Override dh_installman, let dh_install handle installing
    manpages too.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 11 Jul 2019 00:53:36 +0300

sssd (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump policy to 4.4.0.
  * control, compat, rules: Bump debhelper to 12.
  * *.install: Updated, some files moved to /usr/libexec.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 10 Jul 2019 10:14:09 +0300

sssd (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * sssd-tools.install: Local domain support is deprecated and not
    built by default anymore, so drop the files.
  * control, sssd-common.install: Secrets responder is dropped, deprecated.
  * control: Add ldap-utils to build-depends, tests need it.
  * sssd-common.install: Add new internal libs for iface/sbus.
  * fix-whitespace-test.diff: Fix ignoring the debian dir.
  * rules: Update the clean target.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 27 May 2019 13:55:38 +0300

sssd (1.16.4-1~exp1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release. (LP: #1572908)
  * Drop patches, all upstream.
  * Enable systemd responders. (Closes: #925026, #923882)

  [ Dominik George ]
  * Acknowledge NMU.
  * Add myself to Uploaders.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 03 Apr 2019 09:56:33 +0300

sssd (1.16.3-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix copy_ccache test broken by recent krb5 changes. (Closes: #921761)
  * Fix PAC responder build with krb5 1.17. (Closes: #923125)

 -- Dominik George <natureshadow@debian.org>  Sun, 24 Feb 2019 11:05:55 +0100

sssd (1.16.3-3) unstable; urgency=medium

  * fix-curl-ftbfs.diff: Fix build with current curl. (Closes: #913403)
  * Rebuild with python3.7. (Closes: #915199, #915168)

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 02 Dec 2018 11:16:57 +0200

sssd (1.16.3-2) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Don't require libgdm-dev on s390x or non-Linux architectures
    (Closes: #913030)

  [ Andreas Hasenack ]
  * d/t/{ldap-user-group-ldap-auth,control,login.exp,util,common-tests}: add
    LDAP DEP8 test
  * d/t/{util,login.exp,ldap-user-group-krb5-auth,control}: add krb5 DEP8 test


