=== debian/control ===
--- 
+++ 
@@ -1,54 +1,69 @@
 Source: sssd
 Section: utils
-Priority: extra
-Maintainer: Debian SSSD Team <pkg-sssd-devel@lists.alioth.debian.org>
-Uploaders: Timo Aaltonen <tjaalton@debian.org>
+Priority: optional
+Maintainer: Debian SSSD Team <pkg-sssd-devel@alioth-lists.debian.net>
+Uploaders: Timo Aaltonen <tjaalton@debian.org>,
+ Dominik George <natureshadow@debian.org>
 Build-Depends:
  autopoint,
-# check,
- debhelper (>= 9),
+ check,
+ cifs-utils,
+ debhelper-compat (= 12),
  dh-apparmor,
- dh-autoreconf,
+ dh-python,
  dnsutils,
  docbook-xml,
  docbook-xsl,
  dpkg-dev (>= 1.16.1~),
  krb5-config,
+ ldap-utils,
+ libaugeas-dev,
  libc-ares-dev,
-# libcmocka-dev [amd64 armhf i386],
+ libcmocka-dev [amd64 armhf i386],
  libcollection-dev,
  libdbus-1-dev,
  libdhash-dev,
+ libgdm-dev [!s390x !kfreebsd-any !hurd-any],
  libglib2.0-dev,
  libini-config-dev,
+ libjansson-dev,
  libkeyutils-dev [linux-any],
- libkrb5-dev,
+ libkrb5-dev (>= 1.12),
  libldap2-dev,
  libldb-dev,
  libltdl-dev,
+ libnfsidmap-dev,
  libnl-3-dev [linux-any],
  libnl-route-3-dev [linux-any],
- libnspr4-dev,
- libnss3-dev,
+ libp11-kit-dev,
  libpam0g-dev | libpam-dev,
  libpcre3-dev,
  libpopt-dev,
  libsasl2-dev,
  libselinux1-dev [linux-any],
  libsemanage1-dev [linux-any],
+ libsmbclient-dev,
+ libsofthsm2,
+ libssl-dev,
+ libsystemd-dev [linux-any],
  libtalloc-dev,
  libtdb-dev,
  libtevent-dev,
+ libuid-wrapper,
  libxml2-utils,
  lsb-release,
- python-dev (>= 2.6.6-3~),
- quilt,
+ python3-dev,
+ python3-setuptools,
+ samba-dev (>= 2:4.1.13),
+ systemd,
+ systemtap-sdt-dev,
+ uuid-dev,
  xml-core,
  xsltproc
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/pkg-sssd/sssd.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-sssd/sssd.git
-Homepage: https://fedorahosted.org/sssd/
+Standards-Version: 4.4.0
+Vcs-Git: https://salsa.debian.org/sssd-team/sssd.git
+Vcs-Browser: https://salsa.debian.org/sssd-team/sssd
+Homepage: https://github.com/SSSD/sssd
 
 Package: sssd
 Section: metapackages
@@ -56,8 +71,10 @@
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
- python-sss (= ${binary:Version}),
- sssd-common (= ${binary:Version}),
+ python3-sss (= ${binary:Version}),
+ sssd-ad (= ${binary:Version}),
+ sssd-common (= ${binary:Version}),
+ sssd-ipa (= ${binary:Version}),
  sssd-krb5 (= ${binary:Version}),
  sssd-ldap (= ${binary:Version}),
  sssd-proxy (= ${binary:Version}),
@@ -74,11 +91,24 @@
 
 Package: sssd-common
 Architecture: any
-Depends: python, python-sss, ${misc:Depends}, ${shlibs:Depends}
-Recommends: bind9-host, libnss-sss, libpam-sss, libsss-sudo
-Suggests: apparmor, sssd-tools
-Breaks: sssd (<< 1.10.0~beta2-1)
-Replaces: sssd (<< 1.10.0~beta2-1)
+Depends:
+ python3,
+ python3-sss,
+ ${misc:Depends},
+ ${shlibs:Depends},
+ adduser,
+Recommends:
+ bind9-host,
+ libnss-sss,
+ libpam-sss,
+Suggests:
+ apparmor,
+ libsss-sudo,
+ sssd-tools
+Breaks: sssd (<< 1.10.0~beta2-1),
+ sssd-krb5-common (<< 1.13.1-1),
+Replaces: sssd (<< 1.10.0~beta2-1),
+ sssd-krb5-common (<< 1.13.1-1),
 Description: System Security Services Daemon -- common files
  Provides a set of daemons to manage access to remote directories and
  authentication mechanisms. It provides an NSS and PAM interface toward
@@ -88,6 +118,32 @@
  .
  This package provides the daemon and other common files needed by the
  authentication back ends.
+
+Package: sssd-ad
+Architecture: any
+Depends:
+ libsss-idmap0 (= ${binary:Version}),
+ sssd-ad-common (= ${binary:Version}),
+ sssd-common (= ${binary:Version}),
+ sssd-krb5-common (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Suggests:
+ adcli,
+Breaks: sssd (<< 1.10.0~beta2-1)
+Replaces: sssd (<< 1.10.0~beta2-1)
+Description: System Security Services Daemon -- Active Directory back end
+ Provides the Active Directory back end that the SSSD can utilize to fetch
+ identity data from and authenticate against an Active Directory server.
+
+Package: sssd-ad-common
+Architecture: any
+Depends: sssd-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Breaks: sssd (<< 1.10.0~beta2-1)
+Replaces: sssd (<< 1.10.0~beta2-1)
+Description: System Security Services Daemon -- PAC responder
+ Provides the PAC responder that the AD and IPA backends can use for
+ fetching additional attributes from the kerberos ticket.
 
 Package: sssd-dbus
 Architecture: any
@@ -96,6 +152,32 @@
  Provides the D-Bus responder called InfoPipe, that allows the information
  from the SSSD to be transmitted over the system bus.
 
+Package: sssd-ipa
+Architecture: any
+Depends:
+ libipa-hbac0 (= ${binary:Version}),
+ libsss-idmap0 (= ${binary:Version}),
+ sssd-ad-common (= ${binary:Version}),
+ sssd-common (= ${binary:Version}),
+ sssd-krb5-common (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks: sssd (<< 1.10.0~beta2-1)
+Replaces: sssd (<< 1.10.0~beta2-1)
+Description: System Security Services Daemon -- IPA back end
+ Provides the IPA back end that the SSSD can utilize to fetch identity data
+ from and authenticate against an IPA server.
+
+Package: sssd-kcm
+Architecture: any
+Depends:
+ sssd-common (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Description: System Security Services Daemon -- Kerberos KCM server implementation
+ Provides an implementation of a Kerberos KCM server. Use this package if
+ you want to use the KCM: Kerberos credentials cache.
+
 Package: sssd-krb5
 Architecture: any
 Depends:
@@ -147,10 +229,12 @@
 Package: sssd-tools
 Architecture: any
 Depends:
- python,
- sssd-common (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
+ python3,
+ python3-sss,
+ sssd-common (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends: sssd-dbus
 Description: System Security Services Daemon -- tools
  Provides a set of daemons to manage access to remote directories and
  authentication mechanisms. It provides an NSS and PAM interface toward
@@ -205,11 +289,28 @@
 Section: libdevel
 Architecture: any
 Depends: libipa-hbac0 (= ${binary:Version}), ${misc:Depends}
-Description: FreeIPA HBAC Evaluator library
+Description: FreeIPA HBAC Evaluator library -- development files
  Utility library to validate FreeIPA HBAC rules for authorization requests.
  .
  This package contains header files and symlinks to develop programs which will
  use the libipa-hbac library.
+
+Package: libsss-certmap0
+Section: libs
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Certificate mapping library for SSSD
+ Library to map certificates to users based on rules.
+
+Package: libsss-certmap-dev
+Section: libdevel
+Architecture: any
+Depends: libsss-certmap0 (= ${binary:Version}), ${misc:Depends}
+Description: Certificate mapping library for SSSD -- development files
+ Utility library to map certificates to users based on rules.
+ .
+ This package contains header files and symlinks to develop programs which will
+ use the libsss-certmap library.
 
 Package: libsss-idmap0
 Section: libs
@@ -254,41 +355,18 @@
  Utility library to allow communication between sudo and SSSD for caching
  sudo rules by SSSD.
 
-Package: python-libipa-hbac
-Section: python
-Architecture: any
-Depends:
- libipa-hbac0 (= ${binary:Version}),
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends}
-Description: Python bindings for the FreeIPA HBAC Evaluator library
- The libipa_hbac-python contains the bindings so that libipa_hbac can be
- used by Python applications.
-
-Package: python-libsss-nss-idmap
-Section: python
-Architecture: any
-Depends:
- libsss-nss-idmap0 (= ${binary:Version}),
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends}
-Description: Python bindings for the SID lookups library
- This package contains the bindings for libnss_sss_idmap to be used by
- Python applications.
-
-Package: python-sss
-Section: python
-Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
-Provides: ${python:Provides}
-Recommends: sssd
-Description: Python module for the System Security Services Daemon
- Provides a set of daemons to manage access to remote directories and
- authentication mechanisms. It provides an NSS and PAM interface toward
- the system and a pluggable backend system to connect to multiple different
- account sources. It is also the basis to provide client auditing and policy
- services for projects like FreeIPA.
- .
- This package provide a module to access the configuration of the sssd daemon.
+Package: libsss-simpleifp0
+Section: libs
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ sssd-dbus (= ${binary:Version}),
+Description: SSSD D-Bus responder helper library
+ Provides library that simplifies D-Bus API for the SSSD InfoPipe responder.
+
+Package: libsss-simpleifp-dev
+Section: libdevel
+Architecture: any
+Depends: libsss-simpleifp0 (= ${binary:Version}), ${misc:Depends}
+Description: SSSD D-Bus responder helper library -- development files
+ Provides library that simplifies D-Bus API for the SSSD InfoPipe responder.
+ .
