=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with quilt,autoreconf,python2 --parallel --builddirectory=build
+	dh $@ --with python3 \
+		--builddirectory=build
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -21,26 +22,40 @@
 CURDATE = $(shell date +%m/%d/%Y | sed 's/\//\\\//g')
 export CK_VERBOSITY=verbose
 
-ifeq ($(DISTRIBUTION), Ubuntu)
-	INIT = upstart
-endif
-
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-krb5-locator-plugin \
 	--datadir=/usr/share/ \
+	--with-environment-file=/etc/default/sssd \
 	--with-ldb-lib-dir=/usr/lib/$(DEB_HOST_MULTIARCH)/ldb/modules/ldb \
-	--with-krb5-plugin-path=/usr/lib/$(DEB_HOST_MULTIARCH)/krb5/plugins/krb5 \
+	--with-krb5-plugin-path=/usr/lib/$(DEB_HOST_MULTIARCH)/krb5/plugins/libkrb5 \
 	--enable-nsslibdir=/lib/$(DEB_HOST_MULTIARCH) \
 	--enable-pammoddir=/lib/$(DEB_HOST_MULTIARCH)/security \
+	--enable-systemtap \
 	--disable-static \
 	--disable-rpath \
 	--with-autofs \
+	--with-crypto=libcrypto \
 	--with-ssh \
-	--with-samba=no \
+	--with-initscript=systemd \
+	--with-systemdunitdir=/lib/systemd/system \
+	--disable-files-domain \
+	--with-smb-idmap-interface-version=6 \
+	--without-python2-bindings \
+	--with-syslog=journald \
+	--with-pid-path=/run \
+	--with-libwbclient=yes \
 	--with-sudo
 
 override_dh_auto_test:
-	dh_auto_test || (cat $(CURDIR)/build/test-suite.log; return 2)
+	export CK_TIMEOUT_MULTIPLIER=10
+#	dh_auto_test -- VERBOSE=yes
+	unset CK_TIMEOUT_MULTIPLIER
+
+override_dh_auto_install:
+	dh_auto_install --max-parallel=1
+
+override_dh_fixperms:
+	dh_fixperms -Xkrb5_child -Xldap_child -Xselinux_child
 
 override_dh_install:
 	install -D -m755 $(CURDIR)/debian/generate-config \
@@ -63,14 +78,26 @@
 	# match nn/nn/nnnn, replace with the date from changelog
 	sed -i 's/[0-1][0-9]\/[0-3][0-9]\/[0-9][0-9][0-9][0-9]/${PKGDATE}/g' $(CURDIR)/debian/tmp/usr/share/man/man*/*
 
-	dh_install --list-missing
+	# change the shebang
+	sed -i -e 's:/usr/bin/python:/usr/bin/python3:' $(CURDIR)/debian/tmp/usr/sbin/sss_obfuscate
 
-override_dh_python2:
-	dh_python2 --no-guessing-versions
+	dh_install
+
+override_dh_installman:
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_installinit:
 	dh_apparmor -psssd-common --profile-name=usr.sbin.sssd
 	dh_installinit --name sssd --error-handler=invoke_failure
+
+override_dh_installdeb:
+	dh_installdeb
+	for pkg in sssd-common sssd-ipa sssd-krb5-common sssd-proxy; do \
+		sed -i 's/@TRIPLET@/${DEB_HOST_MULTIARCH}/' \
+		$(CURDIR)/debian/$$pkg/DEBIAN/postinst; \
+	done
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -78,3 +105,4 @@
 	rm -f $(CURDIR)/po/*.gmo
 	rm -f $(CURDIR)/src/config/*.pyc
 	rm -f $(CURDIR)/po/stamp-po
+	rm -f $(CURDIR)/src/sbus/codegen/__pycache__/*.pyc
