## sssd 2.4.0

=== debian/changelog ===
sssd (2.4.0-1ubuntu6) hirsute; urgency=medium

  * Disable lto, not ready upstream.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Mar 2021 13:18:53 +0100

sssd (2.4.0-1ubuntu5) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:22:14 +0000

sssd (2.4.0-1ubuntu4) hirsute; urgency=medium

  * Avoid sending malformed SYSLOG_IDENTIFIER to journald (LP: #1908065):
    - d/p/lp-1908065-01-syslog_identifier-format.patch:
      Upstream patch to include "sssd[]" identifier in program names.
    - d/p/lp-1908065-02-remove-syslog_identifier.patch:
      Upstream patch to remove custom SYSLOG_IDENTIFIER from Journald.

 -- Valters Jansons <valter.jansons@gmail.com>  Fri, 05 Feb 2021 20:51:32 +0000

sssd (2.4.0-1ubuntu3) hirsute; urgency=medium

  * d/apparmor-profile: Update profile. (LP: #1910611)
    - Extend read permissions to /etc/sssd/conf.d/* and /etc/gss/mech.d/*.
    - Add read/execute permission to /usr/libexec/sssd/*.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 18 Jan 2021 16:57:21 -0500

sssd (2.4.0-1ubuntu2) hirsute; urgency=medium

  * d/p/0003-Only-start-sssd.service-if-there-s-a-configuration-f.patch:
    Upstream patch to make sssd.service only able to start when there
    is a configuration file present.  (LP: #1900642)
  * d/p/condition-path-exists-sssd-conf.patch: Remove.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 12 Jan 2021 16:17:38 -0500

sssd (2.4.0-1ubuntu1) hirsute; urgency=medium

  * d/p/condition-path-exists-sssd-conf.patch: Only start
    sssd.service if there is a configuration file present.
    (LP: #1900642)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Thu, 10 Dec 2020 14:20:24 -0500

sssd (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * source: Update diff-ignore.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 08 Dec 2020 22:36:54 +0200
