=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sssd
 Section: utils
 Priority: optional
-Maintainer: Debian SSSD Team <pkg-sssd-devel@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian SSSD Team <pkg-sssd-devel@alioth-lists.debian.net>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>,
  Dominik George <natureshadow@debian.org>
 Build-Depends:
@@ -368,5 +369,3 @@
 Architecture: any
 Depends: libsss-simpleifp0 (= ${binary:Version}), ${misc:Depends}
 Description: SSSD D-Bus responder helper library -- development files
- Provides library that simplifies D-Bus API for the SSSD InfoPipe responder.
- .
