=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 %:
 	dh $@ --with python3 \
 		--builddirectory=build
+
+export DEB_BUILD_MAINT_OPTIONS = optimize=-lto
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
