=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Dominik George <natureshadow@debian.org>
 Build-Depends:
  autopoint,
- check,
+ check <!nocheck>,
  cifs-utils,
  debhelper-compat (= 12),
  dh-apparmor,
@@ -16,15 +16,17 @@
  docbook-xml,
  docbook-xsl,
  dpkg-dev (>= 1.16.1~),
+ faketime <!nocheck>,
+ gnutls-bin <!nocheck>,
  krb5-config,
  ldap-utils,
  libaugeas-dev,
  libc-ares-dev,
- libcmocka-dev [amd64 armhf i386],
+ libcmocka-dev <!nocheck>,
  libcollection-dev,
  libdbus-1-dev,
  libdhash-dev,
- libgdm-dev [!s390x !kfreebsd-any !hurd-any],
+ libgdm-dev [!s390x !kfreebsd-any !hurd-any !i386],
  libglib2.0-dev,
  libini-config-dev,
  libjansson-dev,
@@ -36,7 +38,9 @@
  libnfsidmap-dev,
  libnl-3-dev [linux-any],
  libnl-route-3-dev [linux-any],
+ libnss-wrapper <!nocheck>,
  libp11-kit-dev,
+ libpam-wrapper <!nocheck>,
  libpam0g-dev | libpam-dev,
  libpcre3-dev,
  libpopt-dev,
@@ -44,18 +48,20 @@
  libselinux1-dev [linux-any],
  libsemanage1-dev [linux-any],
  libsmbclient-dev,
- libsofthsm2,
  libssl-dev,
  libsystemd-dev [linux-any],
  libtalloc-dev,
  libtdb-dev,
  libtevent-dev,
- libuid-wrapper,
+ libuid-wrapper <!nocheck>,
  libxml2-utils,
  lsb-release,
+ openssh-client <!nocheck>,
+ openssl <!nocheck>,
  python3-dev,
  python3-setuptools,
  samba-dev (>= 2:4.1.13),
+ softhsm2 <!nocheck>,
  systemd,
  systemtap-sdt-dev,
  uuid-dev,
@@ -367,5 +373,3 @@
 Package: libsss-simpleifp-dev
 Section: libdevel
 Architecture: any
-Depends: libsss-simpleifp0 (= ${binary:Version}), ${misc:Depends}
-Description: SSSD D-Bus responder helper library -- development files
