=== debian/rules ===
--- 
+++ 
@@ -49,9 +49,11 @@
 	--with-sudo
 
 override_dh_auto_test:
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	export CK_TIMEOUT_MULTIPLIER=10
-#	dh_auto_test -- VERBOSE=yes
+	dh_auto_test -- VERBOSE=yes
 	unset CK_TIMEOUT_MULTIPLIER
+endif
 
 override_dh_auto_install:
 	dh_auto_install --max-parallel=1
